#!/usr/bin/bash
AMSHOME="/opt/rola/ams"
#Check for Appserver
if [ ! -f $AMSHOME/linux/Appserver/service/rsWebserviceAppserver.status ]
then
APPS="DOWN"
else
APPS=$(cat $AMSHOME/linux/Appserver/service/rsWebserviceAppserver.status)
fi
#Check for Appserveradmin
if [ ! -f $AMSHOME/linux/Appserveradmin/service/rsWebserviceAppserver.status ]
then
APPSADMIN="DOWN"
else
APPSADMIN=$(cat $AMSHOME/linux/Appserveradmin/service/rsWebserviceAppserver.status)
fi
#Check for Webservice
if [ ! -f $AMSHOME/linux/Services/service/rsWebserviceImp20.status ]
then
WEBS="DOWN"
else
WEBS=$(cat $AMSHOME/linux/Services/service/rsWebserviceImp20.status)
fi
#Check for BV-Service
if [ ! -f $AMSHOME/linux/webclient-services/rsAmsBvService-14.1.2.0/service/rsAmsBvService.status ]
then
BVS="DOWN"
else
BVS=$(cat $AMSHOME/linux/webclient-services/rsAmsBvService-14.1.2.0/service/rsAmsBvService.status)
fi
#Anzeige

printf "\n \e[33m\t\t\tAppserver und Services\e[0m \n\n\n"
if [[ $APPS = "STARTED" ]]
then
printf "\t\tAppserver\t\e[32m%s\e[0m \n\n\n" "$APPS"
else
printf "\t\tAppserver\t\e[31m%s\e[0m \n\n\n" "$APPS"
fi
if [[ $APPSADMIN = "STARTED" ]]
then
printf "\t\tAppserveradmin\t\e[32m%s\e[0m \n\n\n" "$APPSADMIN"
else
printf "\t\tAppserveradmin\t\e[31m%s\e[0m \n\n\n" "$APPSADMIN"
fi
if [[ $WEBS = "STARTED" ]]
then
printf "\t\tWebservice\t\e[32m%s\e[0m \n\n\n" "$WEBS"
else
printf "\t\tWebservice\t\e[31m%s\e[0m \n\n\n" "$WEBS"
fi
if [[ $BVS = "STARTED" ]]
then
printf "\t\tBV-Service\t\e[32m%s\e[0m \n\n\n" "$BVS"
else
printf "\t\tBV-Service\t\e[31m%s\e[0m \n\n\n" "$BVS"
fi
